Bug 9210 - Fade JS effect not implemented in Safari, works in Firefox
Summary: Fade JS effect not implemented in Safari, works in Firefox
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Enhancement
Assignee: Nobody
URL: http://www.lifewavesace.com/
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-01 08:21 PDT by Jared Reynolds
Modified: 2008-02-13 13:54 PST (History)
4 users (show)

See Also:


Attachments
test case (103 bytes, text/html)
2006-06-04 12:18 PDT, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Reynolds 2006-06-01 08:21:56 PDT
On front page the news fades in and out fetching the information from a .txt document. Works in Firefox.
Comment 1 Alexey Proskuryakov 2006-06-04 12:18:04 PDT
Created attachment 8697 [details]
test case

The news ticker uses either filter:progid:DXImageTransform.Microsoft.alpha or -moz-opacity (Mozilla extension, roughly equivalent to standard CSS3 opacity).
Comment 2 Alexey Proskuryakov 2006-06-04 12:23:19 PDT
Regardless of whether Safari gains support for -moz-opacity, it may make sense to use a standard CSS3 selector in the JS code. 

In Mozilla, it is supported starting with version 1.7: <http://developer.mozilla.org/en/docs/CSS:-moz-opacity>, and the meaning of -moz-opacity has subtly changed then. Shipping versions of Safari don't support CSS3 opacity yet, but current development builds already do: <http://nightly.webkit.org>.
Comment 3 Dave Hyatt 2006-06-04 14:47:11 PDT
That's not true.  Shipping versions of Safari *do* support opacity.
Comment 4 Alexey Proskuryakov 2006-06-04 21:18:25 PDT
(In reply to comment #3)
> That's not true.  Shipping versions of Safari *do* support opacity.

Sorry, my bad.
Comment 5 Joost de Valk (AlthA) 2006-06-05 02:57:54 PDT
We support it however as opacity, and not as -moz-opacity, since we're not moz :)
Comment 6 Alexey Proskuryakov 2007-03-02 11:43:21 PST
The site looks dead now (even DNS resolution fails).

Sounds like adding support for -moz-opacity was not such a great idea - what about filter?
Comment 7 Jordan Breeding 2007-03-19 17:33:28 PDT
Related to <a href="http://bugs.webkit.org/show_bug.cgi?id=12944">bug 12944</a>.

Not to be rude but my user agent string for WebKit does contain strings like "Mozilla/5.0" and "like Gecko".  Maybe it wouldn't be the end of the world if WebKit were to support things like -moz-opacity instead of only -opacity.
Comment 8 Dave Hyatt 2007-03-19 18:30:56 PDT
We can't.  We temporarily supported -moz-opacity and a prominent Web site (I think Adobe) broke because of misapplying it to WebKit. 
Comment 9 Jordan Breeding 2007-03-19 18:46:58 PDT
Well that is depressing.  I hate having to have a copy of Camino around strictly for a small number of websites that still don't work on Safari/Webkit, and the worst part is when the support teams for those websites don't even respond to emails.
Comment 10 Dave Hyatt 2007-03-19 18:53:26 PDT
It's extremely strange that they didn't use the standard property name, since that is supported in Firefox, Opera and Safari.
Comment 11 David Kilzer (:ddkilzer) 2007-03-19 20:53:32 PDT
(In reply to comment #9)
> Well that is depressing.  I hate having to have a copy of Camino around
> strictly for a small number of websites that still don't work on Safari/Webkit,
> and the worst part is when the support teams for those websites don't even
> respond to emails.

Jared, please file an evangelism bug for each web site that doesn't work with Safari so that they may be tracked.  Thanks!

Comment 12 Jordan Breeding 2007-03-19 21:18:32 PDT
Should I change bug 12944 from CSS to Evangelism?
Comment 13 David Kilzer (:ddkilzer) 2007-03-20 04:15:18 PDT
(In reply to comment #12)
> Should I change bug 12944 from CSS to Evangelism?

Yes, please do.  Per Comment #8, this bug should be closed as RESOLVED/WONTFIX.

Comment 14 Mark Malone 2007-03-20 06:21:49 PDT
This bug is really that Safari doesn't support -moz-opacity.  Nothing to evangelize here.
Comment 15 Robert Blaut 2008-02-13 13:54:17 PST
(In reply to comment #13)
> (In reply to comment #12)
> > Should I change bug 12944 from CSS to Evangelism?
> 
> Yes, please do.  Per Comment #8, this bug should be closed as RESOLVED/WONTFIX.

So I close the bug. In addition, the site fixes opacity support. Actually opacity on that site works fine in Webkit.